%global srcname           3270font
%global fontlicense       BSD and SIL
%global fontlicenses      LICENSE.txt
%global fontdocs          README.md CHANGELOG.md

%global fontfamily        3270
%global fontsummary       Monospaced font based on IBM 3270 terminals
%global fonts             build/*.otf
%global fontdescription   %{expand:
This font is derived from the x3270 font, which, in turn, was translated from
the one in Georgia Tech's 3270tool, which was itself hand-copied from a 3270
terminal.}

Version:                  2.2.1
Release:                  1%{?dist}
URL:                      https://github.com/rbanffy/3270font
Source0:                  %{url}/archive/v%{version}.tar.gz#/%{srcname}-%{version}.tar.gz

BuildRequires:            fontforge
BuildRequires:            make

%fontpkg

%prep
%setup -n %{srcname}-%{version}

%build
%{__make} font
%fontbuild

%install
%fontinstall

%check
for f in %{fonts}; do
  fontlint -i 98 $f
done
%fontcheck

%fontfiles

%changelog
* Wed Mar 03 2021 Davide Cavalca <dcavalca@fedoraproject.org> - 2.2.1-1
- Initial package
